using Godot;
using Rokojori;

[Tool,GlobalClass]
public partial class UpdateTube: Action
{
  [Export]
  public Tube tube;

  protected override void _OnTrigger()
  {
    tube.spline.ClearCurveCache();
    tube.UpdateMesh();
  }
}
